SDLStaticFrame(3)

NAME
SDLStaticFrame - A static (non-resizeable) frame.

SYNOPSIS

#include <sdlstaticframe.h>

Inherits SDLWidget.

  Public Methods
SDLStaticFrame (SDLWidget* parentare, SDL_Rect& r)
~SDLStaticFrame ()
bool LoadBackground (const char* filename)

DETAILED DESCRIPTION

A static (non-resizeable) frame.

Author(s):
 Alexander Pipelka

 Intended to be used as a parent for other widgets. Only handles background for the time being.

Definition at line 51 of file sdlstaticframe.h.

CONSTRUCTOR & DESTRUCTOR DOCUMENTATION

  SDLStaticFrame::SDLStaticFrame (SDLWidget * parentare, SDL_Rect & r)

  SDLStaticFrame::~SDLStaticFrame ()

MEMBER FUNCTION DOCUMENTATION

  bool SDLStaticFrame::LoadBackground (const char * filename)

AUTHOR

Generated automatically by Doxygen for ParaGUI from the source code.